<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (version 1.7.0_51) on Sun Apr 26 10:43:49 CEST 2015 -->
<title>ESatz</title>
<meta name="date" content="2015-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ESatz";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/HeaderFooter.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/ESatz.html" target="_top">Frames</a></li>
<li><a href="ESatz.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.jost_net.OBanToo.Dtaus</div>
<h2 title="Class ESatz" class="title">Class ESatz</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">de.jost_net.OBanToo.Dtaus.Satz</a></li>
<li>
<ul class="inheritance">
<li>de.jost_net.OBanToo.Dtaus.ESatz</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">ESatz</span>
extends <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">Satz</a></pre>
<div class="block">E-Satz - Datei-Nachsatz</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>Heiner Jostkleigrewe</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eAnzahlC">eAnzahlC</a></strong></code>
<div class="block">Feld e04, 7 Bytes, numerisch, Anzahl der Datensätze C, Abstimm-Daten</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eSatzart">eSatzart</a></strong></code>
<div class="block">Feld e02, 1 Byte, alpha, Satzart, Konstant E</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eSatzlaenge">eSatzlaenge</a></strong></code>
<div class="block">Feld e01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eSummeBankleitzahlen">eSummeBankleitzahlen</a></strong></code>
<div class="block">Feld e07, 17 Bytes, numerisch, Summe der Bankleitzahlen, Abstimm-Unterlage</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eSummeBetraege">eSummeBetraege</a></strong></code>
<div class="block">Feld e08, 13 Bytes, numerisch, Summe der Euro-Beträge aus den Datensätzen C
 (Feld 12)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#eSummeKontonummern">eSummeKontonummern</a></strong></code>
<div class="block">Feld e06, 17 Bytes, numerisch, Summe der Kontonummern, Abstimm-Unterlage</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#ESatz()">ESatz</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#ESatz(java.lang.String, int)">ESatz</a></strong>(java.lang.String&nbsp;satz,
     int&nbsp;toleranz)</code>
<div class="block">Konstruktor mit der Übergabe eines zu parsenden Satzes</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#add(de.jost_net.OBanToo.Dtaus.CSatz)">add</a></strong>(<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&nbsp;csatz)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#getAnzahlDatensaetze()">getAnzahlDatensaetze</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#getSummeBankleitzahlen()">getSummeBankleitzahlen</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#getSummeBetraege()">getSummeBetraege</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.math.BigInteger</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#getSummeKontonummern()">getSummeKontonummern</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#setAnzahlDatensaetze(java.lang.String)">setAnzahlDatensaetze</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#setSummeBankleitzahlen(java.lang.String)">setSummeBankleitzahlen</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#setSummeBetraege(java.lang.String)">setSummeBetraege</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#setSummeKontonummern(java.lang.String)">setSummeKontonummern</a></strong>(java.lang.String&nbsp;value)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../de/jost_net/OBanToo/Dtaus/ESatz.html#write(java.io.DataOutputStream)">write</a></strong>(java.io.DataOutputStream&nbsp;dos)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_de.jost_net.OBanToo.Dtaus.Satz">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;de.jost_net.OBanToo.Dtaus.<a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html" title="class in de.jost_net.OBanToo.Dtaus">Satz</a></h3>
<code><a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#codingFromDtaus(java.lang.String, int)">codingFromDtaus</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#make27(java.lang.String)">make27</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#makeValid(java.lang.String)">makeValid</a>, <a href="../../../../de/jost_net/OBanToo/Dtaus/Satz.html#validCharacters(java.lang.String)">validCharacters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eSatzlaenge">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSatzlaenge</h4>
<pre>private&nbsp;java.lang.String eSatzlaenge</pre>
<div class="block">Feld e01, 4 Bytes, numerisch, Satzlängenfeld, Konstant 0128</div>
</li>
</ul>
<a name="eSatzart">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSatzart</h4>
<pre>private&nbsp;java.lang.String eSatzart</pre>
<div class="block">Feld e02, 1 Byte, alpha, Satzart, Konstant E</div>
</li>
</ul>
<a name="eAnzahlC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eAnzahlC</h4>
<pre>private&nbsp;int eAnzahlC</pre>
<div class="block">Feld e04, 7 Bytes, numerisch, Anzahl der Datensätze C, Abstimm-Daten</div>
</li>
</ul>
<a name="eSummeKontonummern">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSummeKontonummern</h4>
<pre>private&nbsp;java.math.BigInteger eSummeKontonummern</pre>
<div class="block">Feld e06, 17 Bytes, numerisch, Summe der Kontonummern, Abstimm-Unterlage</div>
</li>
</ul>
<a name="eSummeBankleitzahlen">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSummeBankleitzahlen</h4>
<pre>private&nbsp;java.math.BigInteger eSummeBankleitzahlen</pre>
<div class="block">Feld e07, 17 Bytes, numerisch, Summe der Bankleitzahlen, Abstimm-Unterlage</div>
</li>
</ul>
<a name="eSummeBetraege">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eSummeBetraege</h4>
<pre>private&nbsp;java.math.BigInteger eSummeBetraege</pre>
<div class="block">Feld e08, 13 Bytes, numerisch, Summe der Euro-Beträge aus den Datensätzen C
 (Feld 12)</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ESatz()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ESatz</h4>
<pre>public&nbsp;ESatz()</pre>
</li>
</ul>
<a name="ESatz(java.lang.String, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ESatz</h4>
<pre>public&nbsp;ESatz(java.lang.String&nbsp;satz,
     int&nbsp;toleranz)
      throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<div class="block">Konstruktor mit der Übergabe eines zu parsenden Satzes</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setAnzahlDatensaetze(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAnzahlDatensaetze</h4>
<pre>public&nbsp;void&nbsp;setAnzahlDatensaetze(java.lang.String&nbsp;value)
                          throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="getAnzahlDatensaetze()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnzahlDatensaetze</h4>
<pre>public&nbsp;int&nbsp;getAnzahlDatensaetze()</pre>
</li>
</ul>
<a name="setSummeKontonummern(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSummeKontonummern</h4>
<pre>public&nbsp;void&nbsp;setSummeKontonummern(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="getSummeKontonummern()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSummeKontonummern</h4>
<pre>public&nbsp;java.math.BigInteger&nbsp;getSummeKontonummern()</pre>
</li>
</ul>
<a name="setSummeBankleitzahlen(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSummeBankleitzahlen</h4>
<pre>public&nbsp;void&nbsp;setSummeBankleitzahlen(java.lang.String&nbsp;value)</pre>
</li>
</ul>
<a name="getSummeBankleitzahlen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSummeBankleitzahlen</h4>
<pre>public&nbsp;java.math.BigInteger&nbsp;getSummeBankleitzahlen()</pre>
</li>
</ul>
<a name="setSummeBetraege(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSummeBetraege</h4>
<pre>public&nbsp;void&nbsp;setSummeBetraege(java.lang.String&nbsp;value)
                      throws <a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus">DtausException</a></code></dd></dl>
</li>
</ul>
<a name="getSummeBetraege()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSummeBetraege</h4>
<pre>public&nbsp;java.math.BigInteger&nbsp;getSummeBetraege()</pre>
</li>
</ul>
<a name="add(de.jost_net.OBanToo.Dtaus.CSatz)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="../../../../de/jost_net/OBanToo/Dtaus/CSatz.html" title="class in de.jost_net.OBanToo.Dtaus">CSatz</a>&nbsp;csatz)</pre>
</li>
</ul>
<a name="write(java.io.DataOutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(java.io.DataOutputStream&nbsp;dos)
           throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/DtausException.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../de/jost_net/OBanToo/Dtaus/HeaderFooter.html" title="class in de.jost_net.OBanToo.Dtaus"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/jost_net/OBanToo/Dtaus/ESatz.html" target="_top">Frames</a></li>
<li><a href="ESatz.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
